#!/bin/sh

# Default arguments
ARGS="-R -sverilog -timescale=1ns/1ps"
ARGS="$ARGS -hsopt"

# Dump waveform
if [ "$waveform" = "True" ]; then
  ARGS="$ARGS +vcs+dumpvars+outputs/run.vcd"
fi

# ADK for GLS
if [ -d "inputs/adk" ]; then
  ARGS="$ARGS +vcs+initreg+random inputs/adk/stdcells.v \
    +define+UNIT_DELAY=#1 \
    +define+NO_PRIMITIVES \
    +incdir+/afs/ir.stanford.edu/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/models/udp_dff_nsr/ \
    +incdir+/afs/ir.stanford.edu/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/models/udp_dff_p_pp_pg_n/ \
    +incdir+/afs/ir.stanford.edu/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/models/udp_dff_ps/ \
    +incdir+/afs/ir.stanford.edu/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/models/udp_dlatch_lp_pp_pg_n/ \
    +incdir+/afs/ir.stanford.edu/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/models/udp_dlatch_pr/ \
    +incdir+/afs/ir.stanford.edu/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/models/udp_mux_2to1_n/ \
    +incdir+/afs/ir.stanford.edu/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/models/udp_pwrgood_l_pp_pg/ \
    +incdir+/afs/ir.stanford.edu/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/models/udp_pwrgood_pp_p/ \
    +incdir+/afs/ir.stanford.edu/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/models/udp_dff_nsr_pp_pg_n/ \
    +incdir+/afs/ir.stanford.edu/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/models/udp_dff_pr/ \
    +incdir+/afs/ir.stanford.edu/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/models/udp_dff_ps_pp_pg_n/ \
    +incdir+/afs/ir.stanford.edu/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/models/udp_dlatch_p/ \
    +incdir+/afs/ir.stanford.edu/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/models/udp_dlatch_pr_pp_pg_n/ \
    +incdir+/afs/ir.stanford.edu/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/models/udp_mux_4to2/ \
    +incdir+/afs/ir.stanford.edu/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/models/udp_pwrgood_l_pp_pg_s/ \
    +incdir+/afs/ir.stanford.edu/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/models/udp_pwrgood_pp_pg/ \
    +incdir+/afs/ir.stanford.edu/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/models/udp_dff_p/ \
    +incdir+/afs/ir.stanford.edu/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/models/udp_dff_pr_pp_pg_n/ \
    +incdir+/afs/ir.stanford.edu/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/models/udp_dlatch_lp/ \
    +incdir+/afs/ir.stanford.edu/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/models/udp_dlatch_p_pp_pg_n/ \
    +incdir+/afs/ir.stanford.edu/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/models/udp_mux_2to1/ \
    +incdir+/afs/ir.stanford.edu/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/models/udp_pwrgood_l_pp_g/ \
    +incdir+/afs/ir.stanford.edu/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/models/udp_pwrgood_pp_g/ \
    +incdir+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/a2111o/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/a2111oi/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/a211o/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/a211oi/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/a21bo/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/a21boi/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/a21o/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/a21oi/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/a221o/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/a221oi/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/a222oi/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/a22o/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/a22oi/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/a2bb2o/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/a2bb2oi/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/a311o/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/a311oi/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/a31o/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/a31oi/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/a32o/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/a32oi/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/a41o/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/a41oi/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/and2/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/and2b/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/and3/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/and3b/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/and4/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/and4b/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/and4bb/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/buf/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/bufbuf/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/bufinv/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/clkbuf/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/clkdlybuf4s15/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/clkdlybuf4s18/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/clkdlybuf4s25/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/clkdlybuf4s50/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/clkinv/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/clkinvlp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/conb/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/decap/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/dfbbn/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/dfbbp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/dfrbp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/dfrtn/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/dfrtp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/dfsbp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/dfstp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/dfxbp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/dfxtp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/diode/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/dlclkp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/dlrbn/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/dlrbp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/dlrtn/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/dlrtp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/dlxbn/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/dlxbp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/dlxtn/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/dlxtp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/dlygate4sd1/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/dlygate4sd2/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/dlygate4sd3/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/dlymetal6s2s/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/dlymetal6s4s/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/dlymetal6s6s/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/ebufn/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/edfxbp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/edfxtp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/einvn/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/einvp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/fa/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/fah/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/fahcin/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/fahcon/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/fill/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/ha/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/inv/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/lpflow_bleeder/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/lpflow_clkbufkapwr/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/lpflow_clkinvkapwr/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/lpflow_decapkapwr/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/lpflow_inputiso0n/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/lpflow_inputiso0p/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/lpflow_inputiso1n/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/lpflow_inputiso1p/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/lpflow_inputisolatch/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/lpflow_isobufsrc/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/lpflow_isobufsrckapwr/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/lpflow_lsbuf_lh_hl_isowell_tap/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/lpflow_lsbuf_lh_isowell/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/lpflow_lsbuf_lh_isowell_tap/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/macro_sparecell/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/maj3/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/mux2/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/mux2i/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/mux4/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/nand2/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/nand2b/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/nand3/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/nand3b/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/nand4/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/nand4b/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/nand4bb/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/nor2/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/nor2b/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/nor3/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/nor3b/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/nor4/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/nor4b/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/nor4bb/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/o2111a/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/o2111ai/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/o211a/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/o211ai/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/o21a/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/o21ai/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/o21ba/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/o21bai/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/o221a/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/o221ai/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/o22a/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/o22ai/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/o2bb2a/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/o2bb2ai/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/o311a/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/o311ai/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/o31a/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/o31ai/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/o32a/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/o32ai/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/o41a/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/o41ai/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/or2/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/or2b/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/or3/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/or3b/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/or4/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/or4b/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/or4bb/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/probe_p/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/probec_p/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/sdfbbn/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/sdfbbp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/sdfrbp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/sdfrtn/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/sdfrtp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/sdfsbp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/sdfstp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/sdfxbp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/sdfxtp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/sdlclkp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/sedfxbp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/sedfxtp/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/tap/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/tapvgnd/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/tapvgnd2/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/tapvpwrvgnd/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/xnor2/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/xnor3/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/xor2/+/afs/ir/class/ee272/skywater-pdk/libraries/sky130_fd_sc_hd/latest/cells/xor3/"
fi

if [ -a "inputs/design.sdf" ]; then
  ARGS="$ARGS +sdfverbose -sdf max:GcdUnitTb.GcdUnit_inst:inputs/design.sdf"
fi

# Set-up testbench
ARGS="$ARGS -top $testbench_name"

# Grab all design/testbench files
for f in inputs/*.v; do
  [ -e "$f" ] || continue
  ARGS="$ARGS $f"
done

for f in inputs/*.sv; do
  [ -e "$f" ] || continue
  ARGS="$ARGS $f"
done

# Optional arguments
if [ -f "inputs/design.args" ]; then
  ARGS="$ARGS -file inputs/design.args"
fi

# Run VCS and print out the command
(
  set -x;
  vcs $ARGS
)
